Subject: bug#72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0

From: Karl Berry <[email-masked]>
Date: Wed, 28 Aug 2024 16:43:04 -0600

Hi Eric,

    Subject: bug#72852: Testsuite summary for GNU Automake 1.17 on
     x86_64-apple-darwin20.6.0

Thanks for the report. It looks like Apple's compiler, or linker, or
something, is leaving new files, in fact a whole new directory, behind.
I didn't check all the failures, but the ones I looked at ended up with
errors like:

  ERROR: files left in build directory after distclean:
  ./foo.dSYM/Contents/Resources/DWARF/foo
  ./foo.dSYM/Contents/Info.plist
  make[1]: *** [distcleancheck] Error 1

I know nothing about what's going on, but just looking at that, I'm
guessing make clean should also rm -rf <program>.dSYM. (Bogdan, wdyt?)
--thanks, karl.